Careers
/- Searches the job board
Gets all of the job boards in the system.
Creates a new job board record that does not already exist.
Execute Batch Operations
Gets an entry in the job board
Searches the job board
Sends a message to a job in the jobBoard
Returns a job board from the system by its ID.
Returns a job board from the system by its ID.
Returns a job board from the system by its ID.
Partially updates a job board with the specified ID.
Updates a job board with the specified ID.
Searches the job board
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobBoards/{tenantId}/search/{id}
- https://careers.api.rhythmsoftware.comhttps://careers.api.rhythmsoftware.com/jobBoards/{tenantId}/search/{id}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobBoards/{tenantId}/search/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"criteria": {},
"page": 0.1,
"radius_search": {
"postal_code": "string",
"radius": 1
}
}'Response
{ "fields": [ { … } ], "query": {}, "rows": [ {} ], "sql": "string", "target_service": "string", "totalNumberOfRows": 0.1 }